# PASN_ConstrainedObject Class Reference

Base class for constrained ASN encoding/decoding. More...

`#include <asner.h>`

Inheritance diagram for PASN_ConstrainedObject:

List of all members.

## Public Member Functions

PBoolean | IsConstrained () const
int | GetLowerLimit () const
unsigned | GetUpperLimit () const
PBoolean | ConstrainedLengthDecode (PPER_Stream &strm, unsigned &length)
void | ConstrainedLengthEncode (PPER_Stream &strm, unsigned length) const
PBoolean | ConstraintEncode (PPER_Stream &strm, unsigned value) const

## Protected Member Functions

virtual void | SetConstraintBounds (ConstraintType type, int lower, unsigned upper)
| PASN_ConstrainedObject (unsigned tag, TagClass tagClass)

## Protected Attributes

ConstraintType | constraint
int | lowerLimit
unsigned | upperLimit

## Detailed Description

Base class for constrained ASN encoding/decoding.

## Constructor & Destructor Documentation

PASN_ConstrainedObject::PASN_ConstrainedObject | ( | unsigned | tag,
|  | TagClass | tagClass |
| ) |  |  | `[protected]`

## Member Function Documentation

PBoolean PASN_ConstrainedObject::ConstrainedLengthDecode | ( | PPER_Stream & | strm,
|  | unsigned & | length |
| ) |  |  |

void PASN_ConstrainedObject::ConstrainedLengthEncode | ( | PPER_Stream & | strm,
|  | unsigned | length |
| ) |  |  | const

PBoolean PASN_ConstrainedObject::ConstraintEncode | ( | PPER_Stream & | strm,
|  | unsigned | value |
| ) |  |  | const

int PASN_ConstrainedObject::GetLowerLimit | ( |  | ) | const`[inline]`

unsigned PASN_ConstrainedObject::GetUpperLimit | ( |  | ) | const`[inline]`

PBoolean PASN_ConstrainedObject::IsConstrained | ( |  | ) | const`[inline]`

virtual void PASN_ConstrainedObject::SetConstraintBounds | ( | ConstraintType | type,
|  | int | lower,
|  | unsigned | upper |
| ) |  |  | `[protected, virtual]`

Reimplemented in PASN_Integer, PASN_BitString, PASN_OctetString, PASN_ConstrainedString, and PASN_Array.

## Member Data Documentation

ConstraintType PASN_ConstrainedObject::constraint `[protected]`

int PASN_ConstrainedObject::lowerLimit `[protected]`

unsigned PASN_ConstrainedObject::upperLimit `[protected]`

The documentation for this class was generated from the following file:

- asner.h